IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/67
Addresses2^61
/64 networksPart of one
- Network
fe80:c25b:dd:dd7::/67- First address
fe80:c25b:dd:dd7::- Last address
fe80:c25b:dd:dd7:1fff:ffff:ffff:ffff- Addresses
- 2,305,843,009,213,693,952 (2^61)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25b:00dd:0dd7:0000:0000:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zones
0.7.d.d.0.d.d.0.0.b.5.2.c.0.8.e.f.ip6.arpa1.7.d.d.0.d.d.0.0.b.5.2.c.0.8.e.f.ip6.arpa
/67 is not on a 4-bit boundary, so it takes 2 /68 zones.
Split into smaller subnets
fe80:c25b:dd:dd7::/67 makes 512 subnets of /76; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25b:dd:dd7::/76 | fe80:c25b:dd:dd7:f:ffff:ffff:ffff |
| 2 | fe80:c25b:dd:dd7:10::/76 | fe80:c25b:dd:dd7:1f:ffff:ffff:ffff |
| 3 | fe80:c25b:dd:dd7:20::/76 | fe80:c25b:dd:dd7:2f:ffff:ffff:ffff |
| 4 | fe80:c25b:dd:dd7:30::/76 | fe80:c25b:dd:dd7:3f:ffff:ffff:ffff |
| 5 | fe80:c25b:dd:dd7:40::/76 | fe80:c25b:dd:dd7:4f:ffff:ffff:ffff |
| 6 | fe80:c25b:dd:dd7:50::/76 | fe80:c25b:dd:dd7:5f:ffff:ffff:ffff |
| 7 | fe80:c25b:dd:dd7:60::/76 | fe80:c25b:dd:dd7:6f:ffff:ffff:ffff |
| 8 | fe80:c25b:dd:dd7:70::/76 | fe80:c25b:dd:dd7:7f:ffff:ffff:ffff |
| 9 | fe80:c25b:dd:dd7:80::/76 | fe80:c25b:dd:dd7:8f:ffff:ffff:ffff |
| 10 | fe80:c25b:dd:dd7:90::/76 | fe80:c25b:dd:dd7:9f:ffff:ffff:ffff |
| 11 | fe80:c25b:dd:dd7:a0::/76 | fe80:c25b:dd:dd7:af:ffff:ffff:ffff |
| 12 | fe80:c25b:dd:dd7:b0::/76 | fe80:c25b:dd:dd7:bf:ffff:ffff:ffff |
| 13 | fe80:c25b:dd:dd7:c0::/76 | fe80:c25b:dd:dd7:cf:ffff:ffff:ffff |
| 14 | fe80:c25b:dd:dd7:d0::/76 | fe80:c25b:dd:dd7:df:ffff:ffff:ffff |
| 15 | fe80:c25b:dd:dd7:e0::/76 | fe80:c25b:dd:dd7:ef:ffff:ffff:ffff |
| 16 | fe80:c25b:dd:dd7:f0::/76 | fe80:c25b:dd:dd7:ff:ffff:ffff:ffff |
| 17 | fe80:c25b:dd:dd7:100::/76 | fe80:c25b:dd:dd7:10f:ffff:ffff:ffff |
| 18 | fe80:c25b:dd:dd7:110::/76 | fe80:c25b:dd:dd7:11f:ffff:ffff:ffff |
| 19 | fe80:c25b:dd:dd7:120::/76 | fe80:c25b:dd:dd7:12f:ffff:ffff:ffff |
| 20 | fe80:c25b:dd:dd7:130::/76 | fe80:c25b:dd:dd7:13f:ffff:ffff:ffff |
| 21 | fe80:c25b:dd:dd7:140::/76 | fe80:c25b:dd:dd7:14f:ffff:ffff:ffff |
| 22 | fe80:c25b:dd:dd7:150::/76 | fe80:c25b:dd:dd7:15f:ffff:ffff:ffff |
| 23 | fe80:c25b:dd:dd7:160::/76 | fe80:c25b:dd:dd7:16f:ffff:ffff:ffff |
| 24 | fe80:c25b:dd:dd7:170::/76 | fe80:c25b:dd:dd7:17f:ffff:ffff:ffff |
| 25 | fe80:c25b:dd:dd7:180::/76 | fe80:c25b:dd:dd7:18f:ffff:ffff:ffff |
| 26 | fe80:c25b:dd:dd7:190::/76 | fe80:c25b:dd:dd7:19f:ffff:ffff:ffff |
| 27 | fe80:c25b:dd:dd7:1a0::/76 | fe80:c25b:dd:dd7:1af:ffff:ffff:ffff |
| 28 | fe80:c25b:dd:dd7:1b0::/76 | fe80:c25b:dd:dd7:1bf:ffff:ffff:ffff |
| 29 | fe80:c25b:dd:dd7:1c0::/76 | fe80:c25b:dd:dd7:1cf:ffff:ffff:ffff |
| 30 | fe80:c25b:dd:dd7:1d0::/76 | fe80:c25b:dd:dd7:1df:ffff:ffff:ffff |
| 31 | fe80:c25b:dd:dd7:1e0::/76 | fe80:c25b:dd:dd7:1ef:ffff:ffff:ffff |
| 32 | fe80:c25b:dd:dd7:1f0::/76 | fe80:c25b:dd:dd7:1ff:ffff:ffff:ffff |
| 33 | fe80:c25b:dd:dd7:200::/76 | fe80:c25b:dd:dd7:20f:ffff:ffff:ffff |
| 34 | fe80:c25b:dd:dd7:210::/76 | fe80:c25b:dd:dd7:21f:ffff:ffff:ffff |
| 35 | fe80:c25b:dd:dd7:220::/76 | fe80:c25b:dd:dd7:22f:ffff:ffff:ffff |
| 36 | fe80:c25b:dd:dd7:230::/76 | fe80:c25b:dd:dd7:23f:ffff:ffff:ffff |
| 37 | fe80:c25b:dd:dd7:240::/76 | fe80:c25b:dd:dd7:24f:ffff:ffff:ffff |
| 38 | fe80:c25b:dd:dd7:250::/76 | fe80:c25b:dd:dd7:25f:ffff:ffff:ffff |
| 39 | fe80:c25b:dd:dd7:260::/76 | fe80:c25b:dd:dd7:26f:ffff:ffff:ffff |
| 40 | fe80:c25b:dd:dd7:270::/76 | fe80:c25b:dd:dd7:27f:ffff:ffff:ffff |
| 41 | fe80:c25b:dd:dd7:280::/76 | fe80:c25b:dd:dd7:28f:ffff:ffff:ffff |
| 42 | fe80:c25b:dd:dd7:290::/76 | fe80:c25b:dd:dd7:29f:ffff:ffff:ffff |
| 43 | fe80:c25b:dd:dd7:2a0::/76 | fe80:c25b:dd:dd7:2af:ffff:ffff:ffff |
| 44 | fe80:c25b:dd:dd7:2b0::/76 | fe80:c25b:dd:dd7:2bf:ffff:ffff:ffff |
| 45 | fe80:c25b:dd:dd7:2c0::/76 | fe80:c25b:dd:dd7:2cf:ffff:ffff:ffff |
| 46 | fe80:c25b:dd:dd7:2d0::/76 | fe80:c25b:dd:dd7:2df:ffff:ffff:ffff |
| 47 | fe80:c25b:dd:dd7:2e0::/76 | fe80:c25b:dd:dd7:2ef:ffff:ffff:ffff |
| 48 | fe80:c25b:dd:dd7:2f0::/76 | fe80:c25b:dd:dd7:2ff:ffff:ffff:ffff |
| 49 | fe80:c25b:dd:dd7:300::/76 | fe80:c25b:dd:dd7:30f:ffff:ffff:ffff |
| 50 | fe80:c25b:dd:dd7:310::/76 | fe80:c25b:dd:dd7:31f:ffff:ffff:ffff |
| 51 | fe80:c25b:dd:dd7:320::/76 | fe80:c25b:dd:dd7:32f:ffff:ffff:ffff |
| 52 | fe80:c25b:dd:dd7:330::/76 | fe80:c25b:dd:dd7:33f:ffff:ffff:ffff |
| 53 | fe80:c25b:dd:dd7:340::/76 | fe80:c25b:dd:dd7:34f:ffff:ffff:ffff |
| 54 | fe80:c25b:dd:dd7:350::/76 | fe80:c25b:dd:dd7:35f:ffff:ffff:ffff |
| 55 | fe80:c25b:dd:dd7:360::/76 | fe80:c25b:dd:dd7:36f:ffff:ffff:ffff |
| 56 | fe80:c25b:dd:dd7:370::/76 | fe80:c25b:dd:dd7:37f:ffff:ffff:ffff |
| 57 | fe80:c25b:dd:dd7:380::/76 | fe80:c25b:dd:dd7:38f:ffff:ffff:ffff |
| 58 | fe80:c25b:dd:dd7:390::/76 | fe80:c25b:dd:dd7:39f:ffff:ffff:ffff |
| 59 | fe80:c25b:dd:dd7:3a0::/76 | fe80:c25b:dd:dd7:3af:ffff:ffff:ffff |
| 60 | fe80:c25b:dd:dd7:3b0::/76 | fe80:c25b:dd:dd7:3bf:ffff:ffff:ffff |
| 61 | fe80:c25b:dd:dd7:3c0::/76 | fe80:c25b:dd:dd7:3cf:ffff:ffff:ffff |
| 62 | fe80:c25b:dd:dd7:3d0::/76 | fe80:c25b:dd:dd7:3df:ffff:ffff:ffff |
| 63 | fe80:c25b:dd:dd7:3e0::/76 | fe80:c25b:dd:dd7:3ef:ffff:ffff:ffff |
| 64 | fe80:c25b:dd:dd7:3f0::/76 | fe80:c25b:dd:dd7:3ff:ffff:ffff:ffff |
| 65 | fe80:c25b:dd:dd7:400::/76 | fe80:c25b:dd:dd7:40f:ffff:ffff:ffff |
| 66 | fe80:c25b:dd:dd7:410::/76 | fe80:c25b:dd:dd7:41f:ffff:ffff:ffff |
| 67 | fe80:c25b:dd:dd7:420::/76 | fe80:c25b:dd:dd7:42f:ffff:ffff:ffff |
| 68 | fe80:c25b:dd:dd7:430::/76 | fe80:c25b:dd:dd7:43f:ffff:ffff:ffff |
| 69 | fe80:c25b:dd:dd7:440::/76 | fe80:c25b:dd:dd7:44f:ffff:ffff:ffff |
| 70 | fe80:c25b:dd:dd7:450::/76 | fe80:c25b:dd:dd7:45f:ffff:ffff:ffff |
| 71 | fe80:c25b:dd:dd7:460::/76 | fe80:c25b:dd:dd7:46f:ffff:ffff:ffff |
| 72 | fe80:c25b:dd:dd7:470::/76 | fe80:c25b:dd:dd7:47f:ffff:ffff:ffff |
| 73 | fe80:c25b:dd:dd7:480::/76 | fe80:c25b:dd:dd7:48f:ffff:ffff:ffff |
| 74 | fe80:c25b:dd:dd7:490::/76 | fe80:c25b:dd:dd7:49f:ffff:ffff:ffff |
| 75 | fe80:c25b:dd:dd7:4a0::/76 | fe80:c25b:dd:dd7:4af:ffff:ffff:ffff |
| 76 | fe80:c25b:dd:dd7:4b0::/76 | fe80:c25b:dd:dd7:4bf:ffff:ffff:ffff |
| 77 | fe80:c25b:dd:dd7:4c0::/76 | fe80:c25b:dd:dd7:4cf:ffff:ffff:ffff |
| 78 | fe80:c25b:dd:dd7:4d0::/76 | fe80:c25b:dd:dd7:4df:ffff:ffff:ffff |
| 79 | fe80:c25b:dd:dd7:4e0::/76 | fe80:c25b:dd:dd7:4ef:ffff:ffff:ffff |
| 80 | fe80:c25b:dd:dd7:4f0::/76 | fe80:c25b:dd:dd7:4ff:ffff:ffff:ffff |
| 81 | fe80:c25b:dd:dd7:500::/76 | fe80:c25b:dd:dd7:50f:ffff:ffff:ffff |
| 82 | fe80:c25b:dd:dd7:510::/76 | fe80:c25b:dd:dd7:51f:ffff:ffff:ffff |
| 83 | fe80:c25b:dd:dd7:520::/76 | fe80:c25b:dd:dd7:52f:ffff:ffff:ffff |
| 84 | fe80:c25b:dd:dd7:530::/76 | fe80:c25b:dd:dd7:53f:ffff:ffff:ffff |
| 85 | fe80:c25b:dd:dd7:540::/76 | fe80:c25b:dd:dd7:54f:ffff:ffff:ffff |
| 86 | fe80:c25b:dd:dd7:550::/76 | fe80:c25b:dd:dd7:55f:ffff:ffff:ffff |
| 87 | fe80:c25b:dd:dd7:560::/76 | fe80:c25b:dd:dd7:56f:ffff:ffff:ffff |
| 88 | fe80:c25b:dd:dd7:570::/76 | fe80:c25b:dd:dd7:57f:ffff:ffff:ffff |
| 89 | fe80:c25b:dd:dd7:580::/76 | fe80:c25b:dd:dd7:58f:ffff:ffff:ffff |
| 90 | fe80:c25b:dd:dd7:590::/76 | fe80:c25b:dd:dd7:59f:ffff:ffff:ffff |
| 91 | fe80:c25b:dd:dd7:5a0::/76 | fe80:c25b:dd:dd7:5af:ffff:ffff:ffff |
| 92 | fe80:c25b:dd:dd7:5b0::/76 | fe80:c25b:dd:dd7:5bf:ffff:ffff:ffff |
| 93 | fe80:c25b:dd:dd7:5c0::/76 | fe80:c25b:dd:dd7:5cf:ffff:ffff:ffff |
| 94 | fe80:c25b:dd:dd7:5d0::/76 | fe80:c25b:dd:dd7:5df:ffff:ffff:ffff |
| 95 | fe80:c25b:dd:dd7:5e0::/76 | fe80:c25b:dd:dd7:5ef:ffff:ffff:ffff |
| 96 | fe80:c25b:dd:dd7:5f0::/76 | fe80:c25b:dd:dd7:5ff:ffff:ffff:ffff |
| 97 | fe80:c25b:dd:dd7:600::/76 | fe80:c25b:dd:dd7:60f:ffff:ffff:ffff |
| 98 | fe80:c25b:dd:dd7:610::/76 | fe80:c25b:dd:dd7:61f:ffff:ffff:ffff |
| 99 | fe80:c25b:dd:dd7:620::/76 | fe80:c25b:dd:dd7:62f:ffff:ffff:ffff |
| 100 | fe80:c25b:dd:dd7:630::/76 | fe80:c25b:dd:dd7:63f:ffff:ffff:ffff |
| 101 | fe80:c25b:dd:dd7:640::/76 | fe80:c25b:dd:dd7:64f:ffff:ffff:ffff |
| 102 | fe80:c25b:dd:dd7:650::/76 | fe80:c25b:dd:dd7:65f:ffff:ffff:ffff |
| 103 | fe80:c25b:dd:dd7:660::/76 | fe80:c25b:dd:dd7:66f:ffff:ffff:ffff |
| 104 | fe80:c25b:dd:dd7:670::/76 | fe80:c25b:dd:dd7:67f:ffff:ffff:ffff |
| 105 | fe80:c25b:dd:dd7:680::/76 | fe80:c25b:dd:dd7:68f:ffff:ffff:ffff |
| 106 | fe80:c25b:dd:dd7:690::/76 | fe80:c25b:dd:dd7:69f:ffff:ffff:ffff |
| 107 | fe80:c25b:dd:dd7:6a0::/76 | fe80:c25b:dd:dd7:6af:ffff:ffff:ffff |
| 108 | fe80:c25b:dd:dd7:6b0::/76 | fe80:c25b:dd:dd7:6bf:ffff:ffff:ffff |
| 109 | fe80:c25b:dd:dd7:6c0::/76 | fe80:c25b:dd:dd7:6cf:ffff:ffff:ffff |
| 110 | fe80:c25b:dd:dd7:6d0::/76 | fe80:c25b:dd:dd7:6df:ffff:ffff:ffff |
| 111 | fe80:c25b:dd:dd7:6e0::/76 | fe80:c25b:dd:dd7:6ef:ffff:ffff:ffff |
| 112 | fe80:c25b:dd:dd7:6f0::/76 | fe80:c25b:dd:dd7:6ff:ffff:ffff:ffff |
| 113 | fe80:c25b:dd:dd7:700::/76 | fe80:c25b:dd:dd7:70f:ffff:ffff:ffff |
| 114 | fe80:c25b:dd:dd7:710::/76 | fe80:c25b:dd:dd7:71f:ffff:ffff:ffff |
| 115 | fe80:c25b:dd:dd7:720::/76 | fe80:c25b:dd:dd7:72f:ffff:ffff:ffff |
| 116 | fe80:c25b:dd:dd7:730::/76 | fe80:c25b:dd:dd7:73f:ffff:ffff:ffff |
| 117 | fe80:c25b:dd:dd7:740::/76 | fe80:c25b:dd:dd7:74f:ffff:ffff:ffff |
| 118 | fe80:c25b:dd:dd7:750::/76 | fe80:c25b:dd:dd7:75f:ffff:ffff:ffff |
| 119 | fe80:c25b:dd:dd7:760::/76 | fe80:c25b:dd:dd7:76f:ffff:ffff:ffff |
| 120 | fe80:c25b:dd:dd7:770::/76 | fe80:c25b:dd:dd7:77f:ffff:ffff:ffff |
| 121 | fe80:c25b:dd:dd7:780::/76 | fe80:c25b:dd:dd7:78f:ffff:ffff:ffff |
| 122 | fe80:c25b:dd:dd7:790::/76 | fe80:c25b:dd:dd7:79f:ffff:ffff:ffff |
| 123 | fe80:c25b:dd:dd7:7a0::/76 | fe80:c25b:dd:dd7:7af:ffff:ffff:ffff |
| 124 | fe80:c25b:dd:dd7:7b0::/76 | fe80:c25b:dd:dd7:7bf:ffff:ffff:ffff |
| 125 | fe80:c25b:dd:dd7:7c0::/76 | fe80:c25b:dd:dd7:7cf:ffff:ffff:ffff |
| 126 | fe80:c25b:dd:dd7:7d0::/76 | fe80:c25b:dd:dd7:7df:ffff:ffff:ffff |
| 127 | fe80:c25b:dd:dd7:7e0::/76 | fe80:c25b:dd:dd7:7ef:ffff:ffff:ffff |
| 128 | fe80:c25b:dd:dd7:7f0::/76 | fe80:c25b:dd:dd7:7ff:ffff:ffff:ffff |
| 129 | fe80:c25b:dd:dd7:800::/76 | fe80:c25b:dd:dd7:80f:ffff:ffff:ffff |
| 130 | fe80:c25b:dd:dd7:810::/76 | fe80:c25b:dd:dd7:81f:ffff:ffff:ffff |
| 131 | fe80:c25b:dd:dd7:820::/76 | fe80:c25b:dd:dd7:82f:ffff:ffff:ffff |
| 132 | fe80:c25b:dd:dd7:830::/76 | fe80:c25b:dd:dd7:83f:ffff:ffff:ffff |
| 133 | fe80:c25b:dd:dd7:840::/76 | fe80:c25b:dd:dd7:84f:ffff:ffff:ffff |
| 134 | fe80:c25b:dd:dd7:850::/76 | fe80:c25b:dd:dd7:85f:ffff:ffff:ffff |
| 135 | fe80:c25b:dd:dd7:860::/76 | fe80:c25b:dd:dd7:86f:ffff:ffff:ffff |
| 136 | fe80:c25b:dd:dd7:870::/76 | fe80:c25b:dd:dd7:87f:ffff:ffff:ffff |
| 137 | fe80:c25b:dd:dd7:880::/76 | fe80:c25b:dd:dd7:88f:ffff:ffff:ffff |
| 138 | fe80:c25b:dd:dd7:890::/76 | fe80:c25b:dd:dd7:89f:ffff:ffff:ffff |
| 139 | fe80:c25b:dd:dd7:8a0::/76 | fe80:c25b:dd:dd7:8af:ffff:ffff:ffff |
| 140 | fe80:c25b:dd:dd7:8b0::/76 | fe80:c25b:dd:dd7:8bf:ffff:ffff:ffff |
| 141 | fe80:c25b:dd:dd7:8c0::/76 | fe80:c25b:dd:dd7:8cf:ffff:ffff:ffff |
| 142 | fe80:c25b:dd:dd7:8d0::/76 | fe80:c25b:dd:dd7:8df:ffff:ffff:ffff |
| 143 | fe80:c25b:dd:dd7:8e0::/76 | fe80:c25b:dd:dd7:8ef:ffff:ffff:ffff |
| 144 | fe80:c25b:dd:dd7:8f0::/76 | fe80:c25b:dd:dd7:8ff:ffff:ffff:ffff |
| 145 | fe80:c25b:dd:dd7:900::/76 | fe80:c25b:dd:dd7:90f:ffff:ffff:ffff |
| 146 | fe80:c25b:dd:dd7:910::/76 | fe80:c25b:dd:dd7:91f:ffff:ffff:ffff |
| 147 | fe80:c25b:dd:dd7:920::/76 | fe80:c25b:dd:dd7:92f:ffff:ffff:ffff |
| 148 | fe80:c25b:dd:dd7:930::/76 | fe80:c25b:dd:dd7:93f:ffff:ffff:ffff |
| 149 | fe80:c25b:dd:dd7:940::/76 | fe80:c25b:dd:dd7:94f:ffff:ffff:ffff |
| 150 | fe80:c25b:dd:dd7:950::/76 | fe80:c25b:dd:dd7:95f:ffff:ffff:ffff |
| 151 | fe80:c25b:dd:dd7:960::/76 | fe80:c25b:dd:dd7:96f:ffff:ffff:ffff |
| 152 | fe80:c25b:dd:dd7:970::/76 | fe80:c25b:dd:dd7:97f:ffff:ffff:ffff |
| 153 | fe80:c25b:dd:dd7:980::/76 | fe80:c25b:dd:dd7:98f:ffff:ffff:ffff |
| 154 | fe80:c25b:dd:dd7:990::/76 | fe80:c25b:dd:dd7:99f:ffff:ffff:ffff |
| 155 | fe80:c25b:dd:dd7:9a0::/76 | fe80:c25b:dd:dd7:9af:ffff:ffff:ffff |
| 156 | fe80:c25b:dd:dd7:9b0::/76 | fe80:c25b:dd:dd7:9bf:ffff:ffff:ffff |
| 157 | fe80:c25b:dd:dd7:9c0::/76 | fe80:c25b:dd:dd7:9cf:ffff:ffff:ffff |
| 158 | fe80:c25b:dd:dd7:9d0::/76 | fe80:c25b:dd:dd7:9df:ffff:ffff:ffff |
| 159 | fe80:c25b:dd:dd7:9e0::/76 | fe80:c25b:dd:dd7:9ef:ffff:ffff:ffff |
| 160 | fe80:c25b:dd:dd7:9f0::/76 | fe80:c25b:dd:dd7:9ff:ffff:ffff:ffff |
| 161 | fe80:c25b:dd:dd7:a00::/76 | fe80:c25b:dd:dd7:a0f:ffff:ffff:ffff |
| 162 | fe80:c25b:dd:dd7:a10::/76 | fe80:c25b:dd:dd7:a1f:ffff:ffff:ffff |
| 163 | fe80:c25b:dd:dd7:a20::/76 | fe80:c25b:dd:dd7:a2f:ffff:ffff:ffff |
| 164 | fe80:c25b:dd:dd7:a30::/76 | fe80:c25b:dd:dd7:a3f:ffff:ffff:ffff |
| 165 | fe80:c25b:dd:dd7:a40::/76 | fe80:c25b:dd:dd7:a4f:ffff:ffff:ffff |
| 166 | fe80:c25b:dd:dd7:a50::/76 | fe80:c25b:dd:dd7:a5f:ffff:ffff:ffff |
| 167 | fe80:c25b:dd:dd7:a60::/76 | fe80:c25b:dd:dd7:a6f:ffff:ffff:ffff |
| 168 | fe80:c25b:dd:dd7:a70::/76 | fe80:c25b:dd:dd7:a7f:ffff:ffff:ffff |
| 169 | fe80:c25b:dd:dd7:a80::/76 | fe80:c25b:dd:dd7:a8f:ffff:ffff:ffff |
| 170 | fe80:c25b:dd:dd7:a90::/76 | fe80:c25b:dd:dd7:a9f:ffff:ffff:ffff |
| 171 | fe80:c25b:dd:dd7:aa0::/76 | fe80:c25b:dd:dd7:aaf:ffff:ffff:ffff |
| 172 | fe80:c25b:dd:dd7:ab0::/76 | fe80:c25b:dd:dd7:abf:ffff:ffff:ffff |
| 173 | fe80:c25b:dd:dd7:ac0::/76 | fe80:c25b:dd:dd7:acf:ffff:ffff:ffff |
| 174 | fe80:c25b:dd:dd7:ad0::/76 | fe80:c25b:dd:dd7:adf:ffff:ffff:ffff |
| 175 | fe80:c25b:dd:dd7:ae0::/76 | fe80:c25b:dd:dd7:aef:ffff:ffff:ffff |
| 176 | fe80:c25b:dd:dd7:af0::/76 | fe80:c25b:dd:dd7:aff:ffff:ffff:ffff |
| 177 | fe80:c25b:dd:dd7:b00::/76 | fe80:c25b:dd:dd7:b0f:ffff:ffff:ffff |
| 178 | fe80:c25b:dd:dd7:b10::/76 | fe80:c25b:dd:dd7:b1f:ffff:ffff:ffff |
| 179 | fe80:c25b:dd:dd7:b20::/76 | fe80:c25b:dd:dd7:b2f:ffff:ffff:ffff |
| 180 | fe80:c25b:dd:dd7:b30::/76 | fe80:c25b:dd:dd7:b3f:ffff:ffff:ffff |
| 181 | fe80:c25b:dd:dd7:b40::/76 | fe80:c25b:dd:dd7:b4f:ffff:ffff:ffff |
| 182 | fe80:c25b:dd:dd7:b50::/76 | fe80:c25b:dd:dd7:b5f:ffff:ffff:ffff |
| 183 | fe80:c25b:dd:dd7:b60::/76 | fe80:c25b:dd:dd7:b6f:ffff:ffff:ffff |
| 184 | fe80:c25b:dd:dd7:b70::/76 | fe80:c25b:dd:dd7:b7f:ffff:ffff:ffff |
| 185 | fe80:c25b:dd:dd7:b80::/76 | fe80:c25b:dd:dd7:b8f:ffff:ffff:ffff |
| 186 | fe80:c25b:dd:dd7:b90::/76 | fe80:c25b:dd:dd7:b9f:ffff:ffff:ffff |
| 187 | fe80:c25b:dd:dd7:ba0::/76 | fe80:c25b:dd:dd7:baf:ffff:ffff:ffff |
| 188 | fe80:c25b:dd:dd7:bb0::/76 | fe80:c25b:dd:dd7:bbf:ffff:ffff:ffff |
| 189 | fe80:c25b:dd:dd7:bc0::/76 | fe80:c25b:dd:dd7:bcf:ffff:ffff:ffff |
| 190 | fe80:c25b:dd:dd7:bd0::/76 | fe80:c25b:dd:dd7:bdf:ffff:ffff:ffff |
| 191 | fe80:c25b:dd:dd7:be0::/76 | fe80:c25b:dd:dd7:bef:ffff:ffff:ffff |
| 192 | fe80:c25b:dd:dd7:bf0::/76 | fe80:c25b:dd:dd7:bff:ffff:ffff:ffff |
| 193 | fe80:c25b:dd:dd7:c00::/76 | fe80:c25b:dd:dd7:c0f:ffff:ffff:ffff |
| 194 | fe80:c25b:dd:dd7:c10::/76 | fe80:c25b:dd:dd7:c1f:ffff:ffff:ffff |
| 195 | fe80:c25b:dd:dd7:c20::/76 | fe80:c25b:dd:dd7:c2f:ffff:ffff:ffff |
| 196 | fe80:c25b:dd:dd7:c30::/76 | fe80:c25b:dd:dd7:c3f:ffff:ffff:ffff |
| 197 | fe80:c25b:dd:dd7:c40::/76 | fe80:c25b:dd:dd7:c4f:ffff:ffff:ffff |
| 198 | fe80:c25b:dd:dd7:c50::/76 | fe80:c25b:dd:dd7:c5f:ffff:ffff:ffff |
| 199 | fe80:c25b:dd:dd7:c60::/76 | fe80:c25b:dd:dd7:c6f:ffff:ffff:ffff |
| 200 | fe80:c25b:dd:dd7:c70::/76 | fe80:c25b:dd:dd7:c7f:ffff:ffff:ffff |
| 201 | fe80:c25b:dd:dd7:c80::/76 | fe80:c25b:dd:dd7:c8f:ffff:ffff:ffff |
| 202 | fe80:c25b:dd:dd7:c90::/76 | fe80:c25b:dd:dd7:c9f:ffff:ffff:ffff |
| 203 | fe80:c25b:dd:dd7:ca0::/76 | fe80:c25b:dd:dd7:caf:ffff:ffff:ffff |
| 204 | fe80:c25b:dd:dd7:cb0::/76 | fe80:c25b:dd:dd7:cbf:ffff:ffff:ffff |
| 205 | fe80:c25b:dd:dd7:cc0::/76 | fe80:c25b:dd:dd7:ccf:ffff:ffff:ffff |
| 206 | fe80:c25b:dd:dd7:cd0::/76 | fe80:c25b:dd:dd7:cdf:ffff:ffff:ffff |
| 207 | fe80:c25b:dd:dd7:ce0::/76 | fe80:c25b:dd:dd7:cef:ffff:ffff:ffff |
| 208 | fe80:c25b:dd:dd7:cf0::/76 | fe80:c25b:dd:dd7:cff:ffff:ffff:ffff |
| 209 | fe80:c25b:dd:dd7:d00::/76 | fe80:c25b:dd:dd7:d0f:ffff:ffff:ffff |
| 210 | fe80:c25b:dd:dd7:d10::/76 | fe80:c25b:dd:dd7:d1f:ffff:ffff:ffff |
| 211 | fe80:c25b:dd:dd7:d20::/76 | fe80:c25b:dd:dd7:d2f:ffff:ffff:ffff |
| 212 | fe80:c25b:dd:dd7:d30::/76 | fe80:c25b:dd:dd7:d3f:ffff:ffff:ffff |
| 213 | fe80:c25b:dd:dd7:d40::/76 | fe80:c25b:dd:dd7:d4f:ffff:ffff:ffff |
| 214 | fe80:c25b:dd:dd7:d50::/76 | fe80:c25b:dd:dd7:d5f:ffff:ffff:ffff |
| 215 | fe80:c25b:dd:dd7:d60::/76 | fe80:c25b:dd:dd7:d6f:ffff:ffff:ffff |
| 216 | fe80:c25b:dd:dd7:d70::/76 | fe80:c25b:dd:dd7:d7f:ffff:ffff:ffff |
| 217 | fe80:c25b:dd:dd7:d80::/76 | fe80:c25b:dd:dd7:d8f:ffff:ffff:ffff |
| 218 | fe80:c25b:dd:dd7:d90::/76 | fe80:c25b:dd:dd7:d9f:ffff:ffff:ffff |
| 219 | fe80:c25b:dd:dd7:da0::/76 | fe80:c25b:dd:dd7:daf:ffff:ffff:ffff |
| 220 | fe80:c25b:dd:dd7:db0::/76 | fe80:c25b:dd:dd7:dbf:ffff:ffff:ffff |
| 221 | fe80:c25b:dd:dd7:dc0::/76 | fe80:c25b:dd:dd7:dcf:ffff:ffff:ffff |
| 222 | fe80:c25b:dd:dd7:dd0::/76 | fe80:c25b:dd:dd7:ddf:ffff:ffff:ffff |
| 223 | fe80:c25b:dd:dd7:de0::/76 | fe80:c25b:dd:dd7:def:ffff:ffff:ffff |
| 224 | fe80:c25b:dd:dd7:df0::/76 | fe80:c25b:dd:dd7:dff:ffff:ffff:ffff |
| 225 | fe80:c25b:dd:dd7:e00::/76 | fe80:c25b:dd:dd7:e0f:ffff:ffff:ffff |
| 226 | fe80:c25b:dd:dd7:e10::/76 | fe80:c25b:dd:dd7:e1f:ffff:ffff:ffff |
| 227 | fe80:c25b:dd:dd7:e20::/76 | fe80:c25b:dd:dd7:e2f:ffff:ffff:ffff |
| 228 | fe80:c25b:dd:dd7:e30::/76 | fe80:c25b:dd:dd7:e3f:ffff:ffff:ffff |
| 229 | fe80:c25b:dd:dd7:e40::/76 | fe80:c25b:dd:dd7:e4f:ffff:ffff:ffff |
| 230 | fe80:c25b:dd:dd7:e50::/76 | fe80:c25b:dd:dd7:e5f:ffff:ffff:ffff |
| 231 | fe80:c25b:dd:dd7:e60::/76 | fe80:c25b:dd:dd7:e6f:ffff:ffff:ffff |
| 232 | fe80:c25b:dd:dd7:e70::/76 | fe80:c25b:dd:dd7:e7f:ffff:ffff:ffff |
| 233 | fe80:c25b:dd:dd7:e80::/76 | fe80:c25b:dd:dd7:e8f:ffff:ffff:ffff |
| 234 | fe80:c25b:dd:dd7:e90::/76 | fe80:c25b:dd:dd7:e9f:ffff:ffff:ffff |
| 235 | fe80:c25b:dd:dd7:ea0::/76 | fe80:c25b:dd:dd7:eaf:ffff:ffff:ffff |
| 236 | fe80:c25b:dd:dd7:eb0::/76 | fe80:c25b:dd:dd7:ebf:ffff:ffff:ffff |
| 237 | fe80:c25b:dd:dd7:ec0::/76 | fe80:c25b:dd:dd7:ecf:ffff:ffff:ffff |
| 238 | fe80:c25b:dd:dd7:ed0::/76 | fe80:c25b:dd:dd7:edf:ffff:ffff:ffff |
| 239 | fe80:c25b:dd:dd7:ee0::/76 | fe80:c25b:dd:dd7:eef:ffff:ffff:ffff |
| 240 | fe80:c25b:dd:dd7:ef0::/76 | fe80:c25b:dd:dd7:eff:ffff:ffff:ffff |
| 241 | fe80:c25b:dd:dd7:f00::/76 | fe80:c25b:dd:dd7:f0f:ffff:ffff:ffff |
| 242 | fe80:c25b:dd:dd7:f10::/76 | fe80:c25b:dd:dd7:f1f:ffff:ffff:ffff |
| 243 | fe80:c25b:dd:dd7:f20::/76 | fe80:c25b:dd:dd7:f2f:ffff:ffff:ffff |
| 244 | fe80:c25b:dd:dd7:f30::/76 | fe80:c25b:dd:dd7:f3f:ffff:ffff:ffff |
| 245 | fe80:c25b:dd:dd7:f40::/76 | fe80:c25b:dd:dd7:f4f:ffff:ffff:ffff |
| 246 | fe80:c25b:dd:dd7:f50::/76 | fe80:c25b:dd:dd7:f5f:ffff:ffff:ffff |
| 247 | fe80:c25b:dd:dd7:f60::/76 | fe80:c25b:dd:dd7:f6f:ffff:ffff:ffff |
| 248 | fe80:c25b:dd:dd7:f70::/76 | fe80:c25b:dd:dd7:f7f:ffff:ffff:ffff |
| 249 | fe80:c25b:dd:dd7:f80::/76 | fe80:c25b:dd:dd7:f8f:ffff:ffff:ffff |
| 250 | fe80:c25b:dd:dd7:f90::/76 | fe80:c25b:dd:dd7:f9f:ffff:ffff:ffff |
| 251 | fe80:c25b:dd:dd7:fa0::/76 | fe80:c25b:dd:dd7:faf:ffff:ffff:ffff |
| 252 | fe80:c25b:dd:dd7:fb0::/76 | fe80:c25b:dd:dd7:fbf:ffff:ffff:ffff |
| 253 | fe80:c25b:dd:dd7:fc0::/76 | fe80:c25b:dd:dd7:fcf:ffff:ffff:ffff |
| 254 | fe80:c25b:dd:dd7:fd0::/76 | fe80:c25b:dd:dd7:fdf:ffff:ffff:ffff |
| 255 | fe80:c25b:dd:dd7:fe0::/76 | fe80:c25b:dd:dd7:fef:ffff:ffff:ffff |
| 256 | fe80:c25b:dd:dd7:ff0::/76 | fe80:c25b:dd:dd7:fff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |